#
# spec file for package traffic-vis (Version 0.34)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel libpcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         traffic-vis
Copyright:    GPL
Group:        Networking/Utilities
Provides:     traf_vis 
Autoreqprov:  on
Patch:        traffic-vis-0.34.dif
Version:      0.34
Release:      113
URL:          http://www.mindrot.org/code/traffic-vis.php3
Summary:      Network traffic analysis suite
Source:       traffic-vis-0.34.tar.gz
BuildRoot:    /var/tmp/%{name}-BUILD
Obsoletes:    traf_vis

%description
traffic-vis is a suite of tools to help determine which hosts have been
communicating on an IP network, with whom they have been communicating and
the volume of communication that has taken place. Output is plain text,
HTML or postscript.

Authors:
--------
    Damien Miller <dmiller@ilogic.com.au>

SuSE series: n

%prep
%setup -n traffic-vis-0.34
%patch

%build
make SBINDIR=/usr/sbin MANDIR=/usr/share/man

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/sbin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/share/man/man8
make install SBINDIR=${RPM_BUILD_ROOT}/usr/sbin MANDIR=${RPM_BUILD_ROOT}/usr/share/man

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc BUGS CHANGELOG README TODO
/usr/sbin/*
%doc /usr/share/man/*/*

%changelog -n traffic-vis
* Mon Mar 12 2001 - uli@suse.de
- now using glib-config to get location of glib headers
* Wed Nov 29 2000 - smid@suse.cz
- renamed: traf_vis => traffic-vis
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed May 03 2000 - smid@suse.cz
- buildroot added
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sun Jul 11 1999 - mha@suse.de
- new package: traffic-vis (network traffic analyzer, accounting)
